<?php
$t = "Админ-панель";
$biglogo = 1;
include_once '../core/core.php';
$adm = false;

function genPromo(){
	return substr(str_shuffle('QWERTYUIOPASDFGHJKLZXCVBNM1234567890' ),0,5)."-".substr(str_shuffle('QWERTYUIOPASDFGHJKLZXCVBNM1234567890' ),0,5)."-".substr(str_shuffle('QWERTYUIOPASDFGHJKLZXCVBNM1234567890' ),0,5);
}


function removeDir($p){
	$p = rtrim($p,"/");
	$array = [];
	if (is_dir($p)){
		$os = scandir($p);
		foreach ($os as $o){
			if ($o != "." && $o != ".."){
				if (filetype($p."/".$o) == "dir"){
					removeDir($p."/".$o);
				} else {
					$array[] = ["path"=>$p."/".$o,"type"=>"file"];
					#var_dump("del file: ".$p."/".$o);
					unlink($p."/".$o);
				}
			}
		}
		reset($os);
		rmdir($p);
		return $array[] = ["path"=>$p,"type"=>"dir"];
	}
}

if (isset($_COOKIE['gLAD']) && isset($_COOKIE['gLAP'])) {
	$count = $db->Count("admins","WHERE `login` = '".$core->FilterString($_COOKIE['gLAD'])."' AND `password` = '".$core->FilterString($_COOKIE['gLAP'])."'");
	if ($count == 0){
		setcookie('gLAD', "", time() - 3600,'/');
		setcookie('gLAP', "", time() - 3600,'/');
		session_destroy();
		$core->GoToPage("?");
	}
	$adm = $db->getObject("SELECT * FROM `admins` WHERE `login` = '".$core->FilterString($_COOKIE['gLAD'])."' AND `password` = '".$core->FilterString($_COOKIE['gLAP'])."'");
	$db->Query("UPDATE `admins` SET `lasttime`='".(time())."',`ip`='".($core->getIP(1))."',`ua`='".($core->getUA(1))."' WHERE `aid` = '".$adm->aid."'");
	$db->preSQL = $adm->presql;
}
if (!isset($_GET["_netdebug"]) && !$adm){
	include_once '../core/head.php';
	echo '<div class="error">Когда нибудь я сделаю эту админку</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}
if (!$adm){
	if (isset($_POST["auth"])){
		if (!isset($_POST["login"]) || empty($_POST["login"])){
			$core->regError("Не введен логин","Не введен логин",1,"Auth");
		} elseif (!isset($_POST["password"]) || empty($_POST["password"])){
			$core->regError("Не введен пароль","Не введен пароль",2,"Auth");
		} elseif ($db->Count("admins","WHERE `login` = '".$core->FilterString($_POST['login'])."' AND `password` = '".$core->StringHash($core->FilterString($_POST["password"]))."'") == 0){
			$core->regError("У данного пользователя нет доступа к ПУ","У данного пользователя нет доступа к ПУ",2,"Auth");
		} else {
			setcookie('gLAD', $core->FilterString($_POST["login"]), time()+60*60*24,'/');
			setcookie('gLAP', $core->StringHash($core->FilterString($_POST["password"])), time()+60*60*24,'/');
			$core->GoToPage("?");
		}
	}
	if ($core->isBooleanError()){
		include_once '../core/head.php';
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
		
	}
	include_once '../core/head.php';
	echo '<div class="title">Авторизация</div>';
	echo '<form method="POST">
	Логин:<br>
	<input type="text" name="login" placeholder="Только цифры, -" value="'.$core->FilterString((isset($_POST["login"])?$_POST["login"]:null)).'"><br>
	Пароль:<br>
	<input type="password" name="password" value=""><br>
	<input type="submit" name="auth" value="Войти">
	</form>';
	echo h();
	include_once '../core/foot.php';
	die();
}
if ($id != 0 && $db->Count("help","WHERE `qid` = '".$id."'") != 0 && $act=="help_view"){
	$c = $db->getObject("SELECT * FROM `help` WHERE `qid` = '".$id."'");
	$t = $c->title." - Помощь";
	include_once '../core/head.php';
	echo '<div class="title">'.$c->title.'</div>';
	echo '<div class="text">'.$core->drawString($c->sms).'</div>';
	echo l("?id=".$c->qid."&act=help_edit","Редактировать","write");
	echo l("?id=".$c->qid."&act=help_del","Удалить","trash");
	echo b("?id=".$c->hid."&act=help");
	echo h();
	include_once '../core/foot.php';
	die();
} elseif ($id != 0 && $db->Count("help_categories","WHERE `hid` = '".$id."'") != 0 && $act=="help_new"){
	if (isset($_POST["add"])){
		if (!isset($_POST["title"]) || empty($_POST["title"])){
			$core->regError("Введите заголовок новости","Введите заголовок новости",1,"cp_news");
		} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
			$core->regError("Введите текст новости","Введите текст новости",1,"cp_news");
		} else {
			$db->pSQL("INSERT INTO `help`(`hid`, `title`, `sms`, `icons`) VALUES ('".$id."','".$core->FilterString($_POST["title"])."','".$core->FilterString($_POST["sms"])."','".$core->FilterString($_POST["icons"])."');");
			$db->Query("INSERT INTO `help`(`hid`, `title`, `sms`, `icons`) VALUES ('".$id."','".$core->FilterString($_POST["title"])."','".$core->FilterString($_POST["sms"])."','".$core->FilterString($_POST["icons"])."');");
			$core->GoToPage("?id=".$c->hid."&act=help");
		}
	}
	$c = $db->getObject("SELECT * FROM `help_categories` WHERE `hid` = '".$id."'");
	$t = $c->name." - Помощь";
	include_once '../core/head.php';
	echo '<div class="title">Добавление в категорию - '.$c->name.'</div>';
	echo '<form method="POST">
	Заголовок:<br>
	<input type="text" name="title" value="'.$core->FilterString((isset($_POST["title"])?$_POST["title"]:null)).'"><br>
	Текст:<br>
	<textarea name="sms" style="margin: 4px 0px;width: 350px;height: 150px;">'.(isset($_POST["sms"])?$_POST["sms"]:null).'</textarea><br>
	Иконочка:<br>
	<input type="text" name="icons" value="'.$core->FilterString((isset($_POST["icons"])?$_POST["icons"]:"rombe")).'"><br>
	<input type="submit" name="add" value="Отправить">
	</form>';
	echo b("?id=".$c->hid."&act=help");
	echo h();
	include_once '../core/foot.php';
	die();
} elseif ($id != 0 && $db->Count("help","WHERE `qid` = '".$id."'") != 0 && $act=="help_edit"){
	if (isset($_POST["add"])){
		if (!isset($_POST["title"]) || empty($_POST["title"])){
			$core->regError("Введите заголовок новости","Введите заголовок новости",1,"cp_news");
		} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
			$core->regError("Введите текст новости","Введите текст новости",1,"cp_news");
		} else {
			$db->pSQL("UPDATE `help` SET `title`='".$core->FilterString($_POST["title"])."',`sms`='".$_POST["sms"]."',`icons`='".$core->FilterString($_POST["icons"])."' WHERE `qid` = '".$id."'");
			$db->Query("UPDATE `help` SET `title`='".$core->FilterString($_POST["title"])."',`sms`='".$_POST["sms"]."',`icons`='".$core->FilterString($_POST["icons"])."' WHERE `qid` = '".$id."'");
			$core->GoToPage("?id=".$c->qid."&act=help_view");
		}
	}
	$c = $db->getObject("SELECT * FROM `help` WHERE `qid` = '".$id."'");
	$t = $c->title." - Помощь";
	include_once '../core/head.php';
	echo '<div class="title">Редактирование</div>';
	echo '<form method="POST">
	Заголовок:<br>
	<input type="text" name="title" value="'.$core->FilterString((isset($_POST["title"])?$_POST["title"]:$c->title)).'"><br>
	Текст:<br>
	<textarea name="sms" style="margin: 4px 0px;width: 350px;height: 150px;">'.(isset($_POST["sms"])?$_POST["sms"]:($c->sms)).'</textarea><br>
	Иконочка:<br>
	<input type="text" name="icons" value="'.$core->FilterString((isset($_POST["icons"])?$_POST["icons"]:$c->icons)).'"><br>
	<input type="submit" name="add" value="Отправить">
	</form>';
	echo b("?id=".$c->qid."&act=help_view");
	echo h();
	include_once '../core/foot.php';
	die();
} elseif ($act == "help" && $id != 0 && $db->Count("help_categories","WHERE `hid` = '".$id."'") != 0){
	$c = $db->getObject("SELECT * FROM `help_categories` WHERE `hid` = '".$id."'");
	$t = "Редактирование помощи- ".$c->name;
	include_once '../core/head.php';
	echo '<div class="title">'.$c->name.'</div>';
	if ($db->Count("help","WHERE `hid` = '".$id."'") == 0){
		echo '<div class="error">Информации пока что нету</div>';
	}

	$max = 10;
	$k_post = $db->Count("help","WHERE `hid` = '".$id."'");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$_tmp = $db->Query("SELECT * FROM `help` WHERE `hid` = '".$id."' ORDER BY `hid` ASC LIMIT $start, $max"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		echo l('?id='.$data["qid"].'&act=help_view',$data["title"],($data["icons"]),"link",false,mb_strimwidth($data["sms"],0,60,"..."));
	}
	if($k_page>1) echo $core->str('?act=help&id='.$id."&",$k_page,$page);
	echo l("?id=".$id."&act=help_new","Добавить","plus");
	echo b('?act=help');
	include_once '../core/foot.php';
	die();
} elseif ($act == "help"){
	$t = 'Редактирование помощи';
	include_once '../core/head.php';
	echo '<div class="title">Список категорий</div>';
	if ($db->Count("help_categories") == 0){
		echo '<div class="error">Категорий помощи пока что нету</div>';
	}

	$max = 10;
	$k_post = $db->Count("help_categories");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$_tmp = $db->Query("SELECT * FROM `help_categories` ORDER BY `hid` ASC LIMIT $start, $max"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		echo l('?id='.$data["hid"].'&act=help',$data["name"],($data["icons"]),"link",false,$data["descriptor"]);
	}
	if($k_page>1) echo $core->str('?act=help&',$k_page,$page);
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "site_passwd" && $id != 0 && $db->Count("sites","WHERE `id` = '".$id."'") != 0){
	$s = $db->getObject("SELECT * FROM `sites` WHERE `id` = '".$id."'");
	$t = "Смена пароля для сайта ".$s->domain;
	if (isset($_POST["chpwd"])){
		if (!isset($_POST["password"]) || empty($_POST["password"])){
			include_once '../core/head.php';
			echo '<div class="error">Ошибка! Поле пустое</div>';
		} elseif ($s->password == $core->StringHash($_POST["password"])){
			include_once '../core/head.php';
			echo '<div class="warning">Пароль не изменен, так как совпадает с новым</div>';
		} else {
			$db->Query("UPDATE `sites` SET `password`='".$core->StringHash($_POST["password"])."' WHERE `id` = '".$id."'");
			include_once '../core/head.php';
			echo '<div class="success">Пароль успешно изменен</div>';
			echo b("?act=site_view&id=".$id);
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
	}
	
	include_once '../core/head.php';
	echo '<div class="title">Смена пароля для сайта '.$s->domain.'</div>';
	echo '<div class="form"><form method="POST">
	<input type="text" name="password" value="">
	<input type="submit" name="chpwd" value="Сменить пароль">
	</form></div>';
	echo b("?act=changelog&id=".$id);
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "site_lock" && $id != 0 && $db->Count("sites","WHERE `id` = '".$id."'") != 0){
	$s = $db->getObject("SELECT * FROM `sites` WHERE `id` = '".$id."'");
	$lock = ($s->block==1?0:1);
	$db->Query("UPDATE `sites` SET `block`='".$lock."'  WHERE `id` = '".$id."'");
	$core->GoToPage("?id=".$id."&act=site_view");
} elseif ($act == "site_del" && $id != 0 && $db->Count("sites","WHERE `id` = '".$id."'") != 0){
	$s = $db->getObject("SELECT * FROM `sites` WHERE `id` = '".$id."'");
	if (isset($_POST["del"])){
			// Отчистка гостевой книги
			$db->Query("DELETE FROM `gb` WHERE `sid` = '".$id."'");
			// Отчистка новостей
			$db->Query("DELETE FROM `news` WHERE `sid` = '".$id."'");
			// Отчистка чата
			$db->Query("DELETE FROM `chat` WHERE `sid` = '".$id."'");
			// Отчистка пользователей
			$db->Query("DELETE FROM `users` WHERE `sid` = '".$id."'");
			// Отчистка комментариев
			$db->Query("DELETE FROM `comments` WHERE `sid` = '".$id."'");
			// Отчистка Форума
			$db->Query("DELETE FROM `forum_topics` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `forum_cat` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `forum_message` WHERE `sid` = '".$id."'");
			
			
			
			$db->Query("DELETE FROM `alert` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `hosts` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `downloads_cat` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `downloads_file` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `fileio_log` WHERE `uid` = '".$id."'");
			$db->Query("DELETE FROM `stats` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `catalog_sites` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `tickets_msg` WHERE `sid` = '".$id."'");
			$db->Query("DELETE FROM `tickets` WHERE `sid` = '".$id."'");
			
			$db->Query("DELETE FROM `sites` WHERE `id` = '".$id."'");
			$_pth = SERVER_ROOT."sites/".$s->domain."/";
			$rmdirs = removeDir($_pth);
			sendMail($s->email,"Удаление сайта","Здравствуйте! Сообщаем вам о том, что ваш сайт ".$s->domain." удален!<br>
Возможные причины: сайт очень долго был неактивен или вы нарушили правила конструктора сайта.<br>
Благодарим вас за то, что были с нами!<br>
С уважением, администрация gLark.Ru");
			$core->GoToPage("?act=sites");
	}
	
	$t = $s->domain.' - Удаление сайта';
	include_once '../core/head.php';
	echo '<div class="title">Удаление сайта - '.$s->domain.'</div>';
	echo '<div class="text">Статистика на момент удаления:<br>
	Название сайта: '.$s->name.'<br>Краткий заголовов: '.$s->title.'<br>
	Занимаемое место: '.$Quota->RealSize($Quota->SizeDir(SITES_ROOT.$s->domain."/")).' / '.$Quota->RealSize($s->hdd).'<br>
	Кол-во новостей: '.$db->Count("news","WHERE `sid` = '".$id."'").'<br>
	Кол-во комментариев: '.$db->Count("comments","WHERE `sid` = '".$id."'").'<br>
	Кол-во категорий на форуме: '.$db->Count("forum_cat","WHERE `sid` = '".$id."'").'<br>
	Кол-во тем на форуме: '.$db->Count("forum_topics","WHERE `sid` = '".$id."'").'<br>
	Кол-во сообщений на форуме: '.$db->Count("forum_message","WHERE `sid` = '".$id."'").'<br>
	Кол-во пользователей: '.$db->Count("users","WHERE `sid` = '".$id."'").'<br>
	Кол-во сообщений в гостевой книге: '.$db->Count("gb","WHERE `sid` = '".$id."'").'<br>
	Кол-во сообщений в чате: '.$db->Count("chat","WHERE `sid` = '".$id."'").'<br>
	Время регистрации: '.$core->RealTime($s->timeadd).'<br>
	Последний заход в ПУ: '.$core->RealTime($s->lastVisit).'
	</div>';
	echo '<form method="POST">
	<div class="warning">ВНИМАНИЕ!!! Будут удалены все данные без возможности восстановления</div>
	<input type="submit" name="del" value="Удалить, без восстановления">
	</form>';
	echo b("?id=".$id."&act=site_view");
	include_once '../core/foot.php';
	die();
} elseif ($act == "site_view" && $id != 0 && $db->Count("sites","WHERE `id` = '".$id."'") != 0){
	$s = $db->getObject("SELECT * FROM `sites` WHERE `id` = '".$id."'");
	$t = $s->domain.' - Просмотр сайта';
	include_once '../core/head.php';
	if (!is_dir(SITES_ROOT.$s->domain."/")){
		if (isset($_GET["fix"])){
			mkdir(SITES_ROOT.$s->domain."/");
			$core->GoToPage("?act=site_view&id=".$id);
		}
		echo '<div class="title">Сайт '.$s->domain.' поврежден.</div>';
		echo '<div class="text">Похоже что сайт '.$s->domain.' был поврежден, вы можете принять попытку восстановления сайта.<br>Будет принята попытка воссоздать корневую папку сайта, для восстановления частичного доступа.</div>';
		echo l("?act=site_view&id=".$id."&fix","Попробывать восстановить сайт","tool",false,false,"Создает заново папку для сайта");
		echo l("?act=site_del&id=".$id."","Удалить сайт","trash",false,false,"Удаляет данный сайт полностью");
		echo l("http://".$s->domain."/","Перейти на сайт","rombe","link",false,"Открывает сайт в новой вкладке");
		echo b('?act=sites');
		include_once '../core/foot.php';
		die();
	}
	echo '<div class="title">'.$s->domain.'</div>';
	echo '<div class="text">Название сайта: '.$s->name.'<br>Краткий заголовов: '.$s->title.'<br>Блокировка: <b style="'.($s->block==1?'color:red':'color:green').'">'.($s->block==1?'ON':'OFF').'</b><br>Время регистрации: '.$core->RealTime($s->timeadd).'<br>Последний заход в ПУ: '.$core->RealTime($s->lastVisit).'<br>Email: <a href="mailto:'.$s->email.'" class="text">'.$s->email.'</a><br>
	Место: '.$Quota->RealSize($Quota->SizeDir(SITES_ROOT.$s->domain."/")).'<br>
	IP: '.$s->ip.' ('.$s->ipreg.')<br>
	UA: '.$s->ua.'
	</div>';
	echo l("http://".$s->domain."/","Перейти на сайт","rombe","link",false,"Открывает сайт в новой вкладке");
	echo l("http://".$s->domain."/news.lm","Новости","rss","link",$db->Count("news","WHERE `sid` = '".$id."'"),"Переход в модуль Новостей на сайте");
	echo l("http://".$s->domain."/gb.lm","Гостевая книга","doc","link",$db->Count("gb","WHERE `sid` = '".$id."'"),"Переход в модуль Гостевой книги на сайте");
	echo l("http://".$s->domain."/chat.lm","Чат","doc","link",$db->Count("chat","WHERE `sid` = '".$id."'"),"Переход в модуль Чата на сайте");
	echo l("http://".$s->domain."/forum.lm","Форум","bubble","link",$db->Count("forum_topics","WHERE `sid` = '".$id."'")."/".$db->Count("forum_message","WHERE `sid` = '".$id."'"),"Переход в модуль Форума на сайте");
	echo l("?act=site_passwd&id=".$id,"Сменить пароль","key",false,false,"Позволяет сменить пароль, если владелец забыл пароль от сайта.");
	echo l("?id=".$id."&act=site_lock",'<b style="'.($s->block==1?'color:green':'color:red').'">'.($s->block==1?'ВЫКЛЮЧИТЬ БЛОКИРОВКУ':'Включить блокировку').'</b>',"lock",false,false,"Блокирует доступ к сайту");
	echo l("?act=site_del&id=".$id."",'<b style="color:red;">Удалить сайт</b>',"trash",false,false,"Удаляет данный сайт полностью");
	echo b('?act=sites');
	include_once '../core/foot.php';
	die();
} elseif ($act == "fileio_erase"){
	if (isset($_POST["erase"])){
		$db->Query("TRUNCATE `fileio_log`");
		$db->Query("INSERT INTO `fileio_log`(`uid`, `path`, `query`, `action`, `timeadd`, `fatal`, `post`) VALUES ('-1','/','admin','FileIO-Erase','".(time())."','1','".(base64_encode(json_encode(["IP"=>$core->getIP(),"UA"=>$core->getUA()])))."')");
		include_once '../core/head.php';
		echo '<div class="success">Логи успешно отчищены</div>';
		echo b("?act=fileio");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$t = 'Отчистка логов FileIO';
	include_once '../core/head.php';
	echo '<div class="title">Отчистка логов FileIO</div>';
	echo '<div class="form"><form method="POST">
	Запустить отчистку?
	<input type="submit" name="erase" value="Погнали">
	</form></div>';
	echo b('?act=fileio');
	include_once '../core/foot.php';
		die();
} elseif ($act == "site_fixer"){
	if (isset($_POST["fix"])){
		include_once '../core/head.php';
		$p = SERVER_ROOT."sites/";
		$os = scandir($p);
			foreach ($os as $o){
				if ($o != "." && $o != ".."){
					if (filetype($p."/".$o) == "dir"){
						//removeDir($p."/".$o);
						$url = strtolower($core->FilterString($o));
						$count = $db->Count("sites","WHERE `domain` = '".$url."'");
						if ($count == 0){
							echo '<div class="warning">Был удален '.$o.'</div>';
							removeDir($p."/".$o);
						} else {
							echo '<div class="success">Все отлично - '.$o.'</div>';
						}
						
					}
				}
			}
		echo '<div class="success">Фикс сайтов успешно выполнен</div>';
		echo b("?act=sites");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$t = 'Фиксер сайтов';
	include_once '../core/head.php';
	echo '<div class="title">Фиксер сайтов</div>';
	echo '<div class="form"><form method="POST">
	Начать процесс фиксации?<br>Удаляет лишние сайты<br>
	<input type="submit" name="fix" value="Погнали">
	</form></div>';
	echo b('?act=sites');
	include_once '../core/foot.php';
	die();
} elseif ($act == "sites"){
	$t = 'Список сайтов';
	include_once '../core/head.php';
	echo '<div class="title">Список сайтов</div>';
	if ($db->Count("sites") == 0){
		echo '<div class="error">Сайтов пока что нету</div>';
	}
	$max = 10;
	$k_post = $db->Count("sites");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$_tmp = $db->Query("SELECT * FROM `sites` ORDER BY `lastVisit` DESC LIMIT $start, $max"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		$dateold = intval(intval(time() - $data["lastVisit"])/86400);
		echo l('?id='.$data["id"].'&act=site_view',$data["domain"],"rombe","link",false,"Прошло времени с последнего посещения: ".$dateold." дн.<br>Последнее посещение: ".$core->RealTime($data["lastVisit"]));
	}
	if($k_page>1) echo $core->str('?act=sites&',$k_page,$page);
	echo l("?act=site_fixer","Фиксит домены у сайтов","key");
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "changelog_del" && $id != 0 && $db->Count("changelog_versions","WHERE `cid` = '".$id."'") != 0){
	if (isset($_POST["delete"])){
		
		$db->Delete("changelog_versions","WHERE `cid` = '".$id."'");
		$t = "Удаление записи";
		include_once '../core/head.php';
		echo '<div class="success">Запись успешно удалена</div>';
		echo b("?act=changelog");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$news = $db->getObject("SELECT * FROM `changelog_versions` WHERE `cid` = '".$id."'");
	$t = "Удаление записи";
	include_once '../core/head.php';
	echo '<div class="title">Удаление записи</div>';
	echo '<div class="form"><form method="POST">
	Вы действительно хотите удалить записи «<i><b>'.$news->name.'</b></i>»?<br>
	<input type="submit" name="delete" value="Да, удалить">
	</form></div>';
	echo b("?act=changelog&id=".$id);
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "changelog" && $id != 0 && $db->Count("changelog_versions","WHERE `cid` = '".$id."'") != 0){
	$c = $db->getObject("SELECT * FROM `changelog_versions` WHERE `cid` = '".$id."'");
	$t = $c->name;
	include_once '../core/head.php';
	$msg = $c->sms;
	$msg = $core->drawString($msg);
	$bb = array('~\[url=(.*?)?\](.*?)\[\/url\]~si' => '<a href="$1" target="_blank">$2</a>',
        '/\[b\](.+)\[\/b\]/isU' => '<b>$1</b>',
        '/\[u\](.+)\[\/u\]/isU' => '<span style="text-decoration:underline;">$1</span>',
        '/\[s\](.+)\[\/s\]/isU' => '<s>$1</s>',
        '/\[i\](.+)\[\/i\]/isU' => '<i>$1</i>',
		'/\[\+\]/isU' => i("plus","chicon"),
		'/\[\-\]/isU' => i("minus","chicon"),
		'/\[\*\]/isU' => i("exclamation","chicon"),
		'/\[F\]/isU' => i("wizard","chicon"),
		'/\[U\]/isU' => i("refresh","chicon"),
        '/\[color=(.+)\](.+)\[\/color\]/isU' => '<span style="color:$1;">$2</span>',
        '/\[quote\](.+)\[\/quote\]/isU' => '<div class="quote">$1</div>');
    $msg = preg_replace(array_keys($bb), array_values($bb), $msg);
	echo '<div class="title">'.$c->name.'</div>';
	echo '<div class="text">'.$msg.'</div>';
	echo l("?act=changelog_del&id=".$id,"Удалить запись","trash");
	echo b("?act=changelog");
	echo h();
	include_once '../core/foot.php';
	die();
} elseif ($act == "changelog_add"){
	if (isset($_POST["add"])){
		if (!isset($_POST["name"]) || empty($_POST["name"])){
			$core->regError("Введите заголовок новости","Введите заголовок новости",1,"cp_news");
		} else {
			$db->pSQL("INSERT INTO `changelog_versions`(`name`,`sms`, `icons`,`timeadd`) VALUES ('".$core->FilterString($_POST["name"])."','".$core->FilterString($_POST["sms"])."','".$core->FilterString($_POST["icons"])."','".(time())."')");
			$db->Query("INSERT INTO `changelog_versions`(`name`,`sms`, `icons`,`timeadd`) VALUES ('".$core->FilterString($_POST["name"])."','".$core->FilterString($_POST["sms"])."','".$core->FilterString($_POST["icons"])."','".(time())."')");
			$core->GoToPage("?act=changelog");
		}
	}
	$t = "Добавление изменений";
	include_once '../core/head.php';
	echo '<div class="title">Добавление изменений</div>';
	echo '<form method="POST">
	Заголовок:<br>
	<input type="text" name="name" value="'.$core->FilterString((isset($_POST["name"])?$_POST["name"]:null)).'"><br>
	Текст:<br>
	<textarea name="sms" style="margin: 4px 0px;width: 350px;height: 150px;">'.(isset($_POST["sms"])?$_POST["sms"]:"").'</textarea><br>
	Иконочка:<br>
	<input type="text" name="icons" value="'.$core->FilterString((isset($_POST["icons"])?$_POST["icons"]:"rombe")).'"><br>
	<input type="submit" name="add" value="Отправить">
	</form>';
	echo b("?act=changelog");
	echo h();
	include_once '../core/foot.php';
	die();
} elseif ($act == "changelog_alert"){
	if (isset($_POST["delete"])){
		$db->pSQL("UPDATE `sites` SET `updateNow`= '0' WHERE 1");
		$db->Query("UPDATE `sites` SET `updateNow`= '0' WHERE 1");
		$data = $db->getObject("SELECT * FROM `changelog_versions` ORDER BY `cid` DESC LIMIT 1");
		$msg = $core->drawString($data->sms);
		
		$th = "Новая новость на gLark.Ru (".$data->name.")";
		
		$max = 1000;
		$k_post = $db->Count("sites");
		$k_page = $core->k_page($k_post,$max);
		$page = $core->page($k_page);
		$start = $max*$page-$max;
		$_tmp = $db->Query("SELECT * FROM `sites` ORDER BY `lastVisit` DESC LIMIT $start, $max"); 
		while ($data = mysqli_fetch_assoc($_tmp)){
			//$dateold = intval(intval(time() - $data["lastVisit"])/86400);
			//echo l('?id='.$data["id"].'&act=site_view',$data["domain"],"rombe","link",false,"Прошло времени с последнего посещения: ".$dateold." дн.<br>Последнее посещение: ".$core->RealTime($data["lastVisit"]));
			
			sendMail($data["email"],$th,$msg);
		}
		$t = "Отправка оповещения";
		include_once '../core/head.php';
		echo '<div class="success">Всем было отправлено оповещение об новом обновлении.</div>';
		echo b("?act=changelog");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$t = "Отправка оповещения";
	include_once '../core/head.php';
	echo '<div class="title">Отправка оповещения</div>';
	echo '<div class="form"><form method="POST">
	Отправить всем оповещения об новом обновлении?<br>
	<input type="submit" name="delete" value="Да, отправь">
	</form></div>';
	echo b("?act=changelog");
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "changelog"){
	$t = 'ChangeLog';
	include_once '../core/head.php';
	echo '<div class="title">ChangeLog</div>';
	if ($db->Count("changelog_versions") == 0){
		echo '<div class="error">Обновления еще не выпускались</div>';
	}

	$max = 10;
	$k_post = $db->Count("changelog_versions");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$_tmp = $db->Query("SELECT * FROM `changelog_versions` ORDER BY `cid` DESC LIMIT $start, $max"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		echo l('?id='.$data["cid"].'&act=changelog',$data["name"],($data["icons"]),"link",false,mb_strimwidth($data["sms"],0,60,"..."));
	}
	if($k_page>1) echo $core->str('?act=changelog&',$k_page,$page);
	echo l("?act=changelog_add","Добавить","plus");
	echo l("?act=changelog_alert","Отправить оповещания","alarm");
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "fileio" && $id != 0 && $db->Count("fileio_log","WHERE `fid` = '".$id."'") != 0){
	$fileio = $db->getObject("SELECT * FROM `fileio_log` WHERE `fid` = '".$id."'");
	include_once '../core/head.php';
	echo '<style>.fatal {color: red;font-weight: bold;}</style>';
	echo '<div class="title">FileIO - Log #'.$fileio->fid.'</div>';
	echo '<div class="text">';
	echo 'ID: '.$fileio->fid.' '.($fileio->fatal==1?'<span class="fatal">FATAL ERROR</span>':null).'<br>';
	echo 'UID: '.$fileio->uid.'<br>';
	echo 'Действие: '.$fileio->action.'<br>';
	echo '</div>';
	echo '<div class="text">';
	echo 'QUERY: '.$fileio->query.' <a href="'.$fileio->query.'" class="text">[перейти]</a><br>';
	echo '</div>';
	echo '<div class="text">';
	echo 'Время: '.$core->RealTime($fileio->timeadd)."<br>";
	echo 'POST:<br>';
	echo '<pre style="white-space: pre-wrap;">';
	$reboot = json_decode(base64_decode($fileio->post));
	function FilterArray($str){
		global $core;
		$data = [];
		foreach ($str as $k => $v){
			$k = $core->FilterString($k);
			if (is_array($v)){
				$data[$k] = FilterArray($v);
			} else {
				$v = preg_replace('/\\r\\n/si', '<br/>', $v);
				$data[$k] = $core->FilterString($v);
			}
		}
		return $data;
	}
	var_dump(FilterArray($reboot));
	echo '</pre>';
	echo '</div>';
	echo b('?act=fileio');
	include_once '../core/foot.php';
	die();
} elseif ($act == "fileio"){
	include_once '../core/head.php';
	echo '<style>.fatal {color: #ff5a5a!important;font-weight: bold;}</style>';
	echo '<div class="title">FileIO - Logs</div>';
	$max = 10;
	$k_post = $db->Count("fileio_log");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	$_tmp = $db->Query("SELECT * FROM `fileio_log` ORDER BY `fid` DESC LIMIT $start, $max"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		echo l('?id='.$data["fid"].'&act=fileio','[#'.$data["fid"].'] '.$data["action"],"rombe",'link '.($data["fatal"] == 1?'fatal':null),false,$data["query"]);
	}
	if($k_page>1) echo $core->str('?act=fileio&',$k_page,$page);
	echo l("?act=fileio_erase","Отчистить логи");
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "presql"){
	$t = "PreSQL";
	include_once '../core/head.php';
	echo '<style>.l_g {color: #35af18!important;font-weight: bold;}.l_r {color: #ff5a5a!important;font-weight: bold;}</style>';
	if ($db->Count("_presql") == 0){
		echo '<div class="error">Запросов еще нет</div>';
	}
	function preS($s){
		global $core;
		$s = base64_decode($s);
		$s = $core->FilterString($s);
		$s = preg_replace("{\\\'}","'",$s);
		return $s;
	}
	$_tmp = $db->Query("SELECT * FROM `_presql` ORDER BY `id` ASC"); 
	while ($data = mysqli_fetch_assoc($_tmp)){
		echo '<div class="text">'.(preS($data["psql"])).'</div>';
	}
	echo l("?act=presql_mode","Режим ".($adm->presql==1?'(Вкл)':'(Выкл)'),"burn","link ".($adm->presql==1?'l_g':'l_r'));
	echo l("?act=presql_erase","Отчистить");
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "presql_mode"){
	if ($adm->presql==1){
		$db->Query("UPDATE `admins` SET `presql`='0' WHERE `aid` = '".$adm->aid."'");
	} else {
		$db->Query("UPDATE `admins` SET `presql`='1' WHERE `aid` = '".$adm->aid."'");
	}
	header("Location: ?act=presql");
	die();
} elseif ($act == "ticket_close" AND $id != 0){
	if ($db->Count("tickets","WHERE `tid` = '$id'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Тикет не найден</div>';
		echo b("?act=tickets");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$tick = $db->getAssoc("SELECT * FROM `tickets` WHERE `tid` = '$id'");
	$aut = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$tick["sid"]."'");
	if ($tick["status"] == 2){
		$db->Query("UPDATE `tickets` SET `status`='0',`lastUpdate`='".(time())."' WHERE `tid` = '".$id."'");
		$msg = 'Агент службы поддержки #'.$adm->aid.' открыл тикет';
		$db->Query("INSERT INTO `tickets_msg`(`tid`, `sid`, `is_admin`, `msg`, `timePost`) VALUES ('".$id."','-1','-1','".$msg."','".(time())."');");
		sendMail($aut["email"],"Обращение #".$id." (".$tick["name"].")","Агент службы поддержки #".$adm->aid." открыл тикет<hr>Благодарим за то, что выбрали наш конструктор сайтов.<br>
С уважением, Администрация Конструктора Сайтов <a href=\"https://glark.ru/?out=mail&ref=".$aut["domain"]."\">gLark.Ru</a><hr>Не отвечайте на это письмо, оно сформировано автоматический.<br>
Если вам нужна поддержка напишите в тикеты, которые находятся в панели управления или <a href=\"https://vk.com/piminov_remont\">VK</a> и <a href=\"https://t.me/glark_chat\">Telegram.</a>");
	} else {
		$db->Query("UPDATE `tickets` SET `status`='2',`lastUpdate`='".(time())."' WHERE `tid` = '".$id."'");
		$msg = 'Агент службы поддержки #'.$adm->aid.' закрыл тикет';
		$db->Query("INSERT INTO `tickets_msg`(`tid`, `sid`, `is_admin`, `msg`, `timePost`) VALUES ('".$id."','-1','-1','".$msg."','".(time())."');");
		sendMail($aut["email"],"Обращение #".$id." (".$tick["name"].")","Агент службы поддержки #".$adm->aid." закрыл тикет <hr>Благодарим за то, что выбрали наш конструктор сайтов.<br>
С уважением, Администрация Конструктора Сайтов <a href=\"https://glark.ru/?out=mail&ref=".$aut["domain"]."\">gLark.Ru</a><hr>Не отвечайте на это письмо, оно сформировано автоматический.<br>
Если вам нужна поддержка напишите в тикеты, которые находятся в панели управления или <a href=\"https://vk.com/piminov_remont\">VK</a> и <a href=\"https://t.me/glark_chat\">Telegram.</a>");
	}
	header("Location: ?act=ticket_view&id=".$id);
	exit();
} elseif ($act == "ticket_view" AND $id != 0){
	if ($db->Count("tickets","WHERE `tid` = '$id'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Тикет не найден</div>';
		echo b("?act=tickets");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$tick = $db->getAssoc("SELECT * FROM `tickets` WHERE `tid` = '$id'");
	$aut = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$tick["sid"]."'");
	$t = "Просмотр тикета \"".$tick["name"]."\"";
	if (isset($_POST["post"])){
		if ($tick["status"] == 2){
			$core->regError("","Невозможно оставить сообщение, тикет закрыт",5,"Tickets");
		} elseif (!isset($_POST["msg"]) || empty($_POST["msg"])){
			$core->regError("","Введите сообщение обращения",2,"Tickets");
		} else {
			$msg = $core->FilterString($_POST["msg"]);
			$db->Query("INSERT INTO `tickets_msg`(`tid`, `sid`, `is_admin`, `msg`, `timePost`) VALUES ('".$id."','".$adm->aid."','1','".$msg."','".(time())."');");
			$db->Query("UPDATE `tickets` SET `status`='1',`lastUpdate`='".(time())."' WHERE `tid` = '".$id."'");
			$th = "Обращение #".$id." (".$tick["name"].")";
			$tm = "Здравствуйте, на ваш аккаунт (".$aut["domain"]."),вам поступил ответ на тикет ".$tick["name"]."!<hr>Ответ: ".$core->drawString($core->drawBr($msg))."<hr>Благодарим за то, что выбрали наш конструктор сайтов.<br>
С уважением, Администрация Конструктора Сайтов <a href=\"https://glark.ru/?out=mail&ref=".$aut["domain"]."\">gLark.Ru</a><hr>Не отвечайте на это письмо, оно сформировано автоматический.<br>
Если вам нужна поддержка напишите в тикеты, которые находятся в панели управления или <a href=\"https://vk.com/piminov_remont\">VK</a> и <a href=\"https://t.me/glark_chat\">Telegram.</a>";
			sendMail($aut["email"],$th,$tm);
			header("Location: ?act=ticket_view&id=".$id);
			exit();
		}
	}
	include_once '../core/head.php';
	echo '<div class="title">Просмотр тикета</div>';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<div class="text">
	Пользователь: '.$aut["domain"].' / ['.$aut["name"].']<br>
	Баланс: '.$aut["balance"].' руб.<br>
	Адрес электронной почты: '.$aut["email"].'<br>
	Тема обращения: '.$tick["name"].'<br>Время обновление тикета: '.$core->RealTime($tick["lastUpdate"]).'<br>Статус: '.($tick["status"] == 2?'Тикет закрыт':($tick["status"] == 0?'Ожидает ответа службы поддержки':'Ожидаем ответа пользователя')).'</div>';
	if ($tick["status"] == 2){
		echo '<div class="error">Новое сообщение нельзя добавить, так как тикет закрыт.<br>Если у вас еще остались вопросы, вы можете повторно открыть тикет и задать свои вопросы.</div>';
	} else {
		echo '<form method="POST">Сообщение:<br><textarea name="msg"></textarea><br><input type="submit" name="post" value="Продолжить"></form>';
	}
	$max = 10;
	$k_post = $db->Count("tickets_msg","WHERE `tid` = '".$id."'");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;

	$data = $db->Query("SELECT * FROM `tickets_msg` WHERE `tid` = '".$id."' ORDER BY `mid` DESC LIMIT $start, $max"); 
	while ($d = mysqli_fetch_assoc($data)){
		$author = ($d["is_admin"]==1?'Агент службы поддержки #'.$d["sid"]:($d["is_admin"]==-1?'Система':$aut["domain"]));
		echo '<div class="text"><b>'.$author.'</b> ['.$core->RealTime($d["timePost"]).']<br>'.$core->drawString($d["msg"]).'</div>';
	}
	if($k_page>1) echo $core->str('?act=ticket_view&id='.$id.'&',$k_page,$page);
	echo ($tick["status"] != 2?l("?act=ticket_close&id=".$tick["tid"],"Закрыть тикет","security","link",false,"Если вопрос решен, то закройте тикет"):l("?act=ticket_close&id=".$tick["tid"],"Открыть тикет","security","link",false,"Если у вас остались вопросы, то откройте тикет повторно"));
	echo b('?act=tickets');
	include_once '../core/foot.php';
	die();
} elseif ($act == "tickets"){
	$t = 'Просмотр тикетов';
	include_once '../core/head.php';
	echo '<div class="title">Просмотр тикетов</div>';
	$max = 10;
	$k_post = $db->Count("tickets");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;

	$data = $db->Query("SELECT * FROM `tickets` ORDER BY `tid` DESC LIMIT $start, $max"); 
	while ($d = mysqli_fetch_assoc($data)){
		$color = "red";
		if ($d["status"] == 0){
			$st_t = "Ожидается ответ службы поддержки";
			$color = "orange";
		} elseif ($d["status"] == 1){
			$st_t = "Ожидается ответ пользователя";
			$color = "green";
		} else {
			$st_t = "Тикет был закрыт";
			$color = "red";
		}
		$count = $db->Count("tickets_msg","WHERE `tid` = '".$d["tid"]."'");
		echo l("?act=ticket_view&id=".$d["tid"],"<span style='color:".$color.";'>".$d["name"]."</span>","question","link",$count,'<b>'.$st_t.'</b><br>'."Послелнее обновление: ".$core->RealTime($d["lastUpdate"]));
	}
	if($k_page>1) echo $core->str('?axt=tickets&',$k_page,$page);
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "catalog_moder" && $id != 0){
	if ($db->Count("catalog_sites","WHERE `cid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Сайт в каталоге не найден</div>';
		echo b("?act=catalog");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$d = $db->getAssoc("SELECT * FROM `catalog_sites` WHERE `cid` = '".$id."'");
	$cat = $db->getAssoc("SELECT * FROM `catalog_cat` WHERE `catid` = '".$d["catid"]."'");
	$site = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$d["sid"]."'");
	if ($d["moder"] == 1){
		$db->Query("DELETE FROM `catalog_sites` WHERE `cid` = '".$id."'");
	} else {
		$db->Query("UPDATE `catalog_sites` SET `moder`='1' WHERE `cid` = '".$id."'");
	}
	header("Location: ?act=catalog");
	exit();
} elseif ($act == "php"){
	phpinfo();
} elseif ($act == "catalog" && $id != 0){
	if ($db->Count("catalog_sites","WHERE `cid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Сайт в каталоге не найден</div>';
		echo b("?act=catalog");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$d = $db->getAssoc("SELECT * FROM `catalog_sites` WHERE `cid` = '".$id."'");
	$cat = $db->getAssoc("SELECT * FROM `catalog_cat` WHERE `catid` = '".$d["catid"]."'");
	$site = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$d["sid"]."'");
	$t = 'Сайт '.$site["domain"]." - Добавление в каталог";
	include_once '../core/head.php';
	echo '<div class="title">Сайт '.$site["domain"].' - Добавление в каталог</div>';
	$status = '<span style="color:red;"><b>Ожидает модерации</b></span><br>';
	if ($d["moder"] == 1){
		$status = '<span style="color:green;"><b>Модерация пройдена</b></span><br>';
	}
	echo '<div class="text">'.$status."Название сайта: ".$site["name"]."<br>Описание сайта: ".$site["deskmsg"]."<br>Категория сайта: ".$cat["name"].'</div>';
	echo l("http://".$site["domain"]."/","Перейти на сайт","link",false,false,"Просмотр содержимого сайта");
	if ($d["moder"] == 1){
		echo l("?act=catalog_moder&id=".$id,"Отменить модерацию сайта","link",false,false,"Отмена модерации сопровождается удалением его с каталога");
	} else {
		echo l("?act=catalog_moder&id=".$id,"Одобрить сайт","link",false,false,"Сайт добавляется в каталог");
	}
	echo b('?act=catalog');
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "catalog"){
	$t = 'Список сайтов на модерацию в каталог';
	include_once '../core/head.php';
	echo '<div class="title">Список сайтов на модерацию в каталог</div>';
	$max = 10;
	$k_post = $db->Count("catalog_sites");
	$k_page = $core->k_page($k_post,$max);
	$page = $core->page($k_page);
	$start = $max*$page-$max;
	if ($k_post == 0){
		echo '<div class="error">Сайтов нет</div>';
	}
	$data = $db->Query("SELECT * FROM `catalog_sites` ORDER BY `cid` DESC, `moder` ASC LIMIT $start, $max"); 
	while ($d = mysqli_fetch_assoc($data)){
		$cat = $db->getAssoc("SELECT * FROM `catalog_cat` WHERE `catid` = '".$d["catid"]."'");
		$site = $db->getAssoc("SELECT * FROM `sites` WHERE `id` = '".$d["sid"]."'");
		$status = '<span style="color:red;"><b>Ожидает модерации</b></span><br>';
		if ($d["moder"] == 1){
			$status = '<span style="color:green;"><b>Модерация пройдена</b></span><br>';
		}
		echo l("?id=".$d["cid"]."&act=catalog",$site["domain"],"link","link",false,$status."Название сайта: ".$site["name"]."<br>Описание сайта: ".$site["deskmsg"]."<br>Категория сайта: ".$cat["name"]);
	}
	
	if($k_page>1) echo $core->str('?axt=catalog&',$k_page,$page);
	echo b('?');
	include_once '../core/foot.php';
	die();
} elseif ($act == "presql_erase"){
	if (isset($_POST["erase"])){
		$db->Query("TRUNCATE `_presql`");
		include_once '../core/head.php';
		echo '<div class="success">Запросы успешно отчищены</div>';
		echo b("?act=presql");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$t = 'Отчистка запросов PreSQL';
	include_once '../core/head.php';
	echo '<div class="title">Отчистка запросов PreSQL</div>';
	echo '<div class="form"><form method="POST">
	Запустить отчистку?
	<input type="submit" name="erase" value="Погнали">
	</form></div>';
	echo b('?act=presql');
	include_once '../core/foot.php';
	die();

} elseif ($act == "promocodes"){
	$t = 'Промокоды';
	include_once '../core/head.php';
	if (isset($_POST["go"])){
		$c = isset($_POST["c"]) && !empty($_POST["c"])?$core->FilterString($_POST["c"]):"10";
		$v = isset($_POST["v"]) && !empty($_POST["v"])?$core->FilterString($_POST["v"]):"0.00";
		$b = isset($_POST["b"]) && !empty($_POST["b"])?$core->FilterString($_POST["b"]):"0";
		$n = isset($_POST["n"]) && !empty($_POST["n"])?$core->FilterString($_POST["n"]):"0";
		$m = isset($_POST["m"]) && !empty($_POST["m"])?$core->FilterString($_POST["m"]):"0";
		$z = isset($_POST["z"]) && !empty($_POST["z"])?$core->FilterString($_POST["z"]):"0";
		$msg = "";
		if (!is_file(ROOT."../promo/_blank.txt")){
			$core->regError("","Бланк для заполнения не найден!",5,"Promo");
		} else {
			for ($i = 0; $i < $c; $i++){
				$promo = genPromo();
				#echo ROOT."../promo/".time()."_".$promo.".txt";
				
				#die();
				if ($db->Count("promocodes","WHERE `promo` = '".$promo."'") != 0){
					$i--;
					continue;
				}
				$db->Query("INSERT INTO `promocodes`(`promo`, `name`, `balance`, `noads`, `header`, `hdd`, `timeAdd`, `load`) VALUES ('".$promo."','".$promo."','".$v."','".$b."','".$n."','".$m."','".(time())."','".$z."')");
				$file = file_get_contents(ROOT."../promo/_blank.txt");
				$file = str_replace("{PROMOCODE}",$promo,$file);
				$fp = fopen(ROOT."../promo/".time()."_".$promo.".txt", "w");
				fwrite($fp, $file);
				fclose($fp);
				
				$msg .= $promo."<br>";
				#$file = @file_get_contents();
				
			}
		}
	}
	echo '<div class="title">ПромоКоды</div>';
	if (isset($msg)){
		echo '<div class="success">Созданы следующие промокоды:<br>'.$msg.'</div>';
	}
	
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<div class="warning">
	1 час - '.(60*60).'<br>
	1 день - '.(60*60*24).'<br>
	1 неделя - '.(60*60*24*7).'<br>
	1 месяц - '.(60*60*24*7*4).'<br>
	1 год - '.(60*60*24*7*4*12).'<br>
	</div>';
	echo '<div class="form"><form method="POST">
	Количество:<br>
	<input type="text" name="c" value="'.$core->FilterString((isset($_POST["c"])?$_POST["c"]:"10")).'"><br>
	Баланс:<br>
	<input type="text" name="v" value="'.$core->FilterString((isset($_POST["v"])?$_POST["v"]:"0.00")).'"><br>
	АнтиРеклама:<br>
	<input type="text" name="b" value="'.$core->FilterString((isset($_POST["b"])?$_POST["b"]:"0")).'"><br>
	Хеадер:<br>
	<input type="text" name="n" value="'.$core->FilterString((isset($_POST["n"])?$_POST["n"]:"0")).'"><br>
	Место для сайта:<br>
	<input type="text" name="m" value="'.$core->FilterString((isset($_POST["m"])?$_POST["m"]:"0")).'"><br>
	Модуль загрузок:<br>
	<input type="text" name="z" value="'.$core->FilterString((isset($_POST["z"])?$_POST["z"]:"0")).'"><br>
	
	<input type="submit" name="go" value="Погнали">
	</form></div>';
	echo b('?');
	include_once '../core/foot.php';
	die();
}
include_once '../core/head.php';
echo '<div class="title">Админ-панель</div>';
if ($adm->access >= 1){
	echo l("?act=help","Редактировать раздел Помощи","question");
	echo l("?act=sites","Список всех сайтов","globe");
	echo l("?act=tickets","Тикеты","info");
	echo l("?act=catalog","Модерация сайтов в каталог","link");
}
if ($adm->access >= 2){
	echo l("?act=changelog","ChangeLog","clock");
	echo l("?act=fileio","FileIO","folder");
	echo l("?act=presql","PreSQL","burn");
	echo l("?act=promocodes","Промо-Коды","burn");
}
echo h();
include_once '../core/foot.php';
die();
?>
